org.apache.hadoop.yarn.nodelabels

## Class CommonNodeLabelsManager.Host

- java.lang.Object
- - org.apache.hadoop.yarn.nodelabels.CommonNodeLabelsManager.Host

- Enclosing class:
    CommonNodeLabelsManager

      public static class CommonNodeLabelsManager.Host
      extends Object

  A `Host` can have multiple `Node`s

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Set<String>` | `labels`
    `Map<org.apache.hadoop.yarn.api.records.NodeId,CommonNodeLabelsManager.Node>` | `nms`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Host()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonNodeLabelsManager.Host` | `copy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### labels

          public Set<String> labels

    - #### nms

          public Map<org.apache.hadoop.yarn.api.records.NodeId,CommonNodeLabelsManager.Node> nms

  - ### Constructor Detail

    - #### Host

          protected Host()

  - ### Method Detail

    - #### copy

          public CommonNodeLabelsManager.Host copy()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.